> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetchase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Contact

> Adds a new contact to the specified organisation. If the contact is already associated with the organisation, the
endpoint return its ID.

### Request Body

- `contact` (`ContactUpload`): The contact details to be uploaded. This includes email, first name, last name, and custom data.

### Headers

- `X-API-Key`: The API key for authentication.

### Response

- Returns the ID of the newly created contact.

### Errors

- `400 Bad Request`: If the contact is already associated with the organisation.



## OpenAPI

````yaml POST /api/v1/contacts/add
openapi: 3.1.0
info:
  title: ChaseLabs API
  version: 0.1.0
servers:
  - url: https://services.meetchase.ai
security: []
paths:
  /api/v1/contacts/add:
    post:
      tags:
        - Public API Routes
        - Contact Routes
      summary: Add Contact Api
      description: >-
        Adds a new contact to the specified organisation. If the contact is
        already associated with the organisation, the

        endpoint return its ID.


        ### Request Body


        - `contact` (`ContactUpload`): The contact details to be uploaded. This
        includes email, first name, last name, and custom data.


        ### Headers


        - `X-API-Key`: The API key for authentication.


        ### Response


        - Returns the ID of the newly created contact.


        ### Errors


        - `400 Bad Request`: If the contact is already associated with the
        organisation.
      operationId: add_contact_api_api_v1_contacts_add_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactUpload'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API Key: []
components:
  schemas:
    ContactUpload:
      properties:
        custom_data:
          additionalProperties: true
          type: object
          title: Custom Data
          default: {}
        email:
          type: string
          format: email
          title: Email
        first_name:
          anyOf:
            - type: string
              maxLength: 63
              minLength: 1
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
              maxLength: 63
              minLength: 1
            - type: 'null'
          title: Last Name
        city:
          anyOf:
            - type: string
              maxLength: 63
              minLength: 1
            - type: 'null'
          title: City
        country:
          anyOf:
            - type: string
              maxLength: 63
              minLength: 1
            - type: 'null'
          title: Country
        tags:
          items:
            type: string
            maxLength: 31
            minLength: 1
          type: array
          maxItems: 16
          title: Tags
          default: []
      type: object
      required:
        - email
      title: ContactUpload
      examples:
        - city: London
          country: United Kingdom
          custom_data:
            age: 26
            role: Sales Manager
          email: tara@example.com
          first_name: Tara
          last_name: Williams
          tags:
            - finance
            - manager
    BaseItem:
      properties:
        id:
          type: integer
          title: Id
      type: object
      required:
        - id
      title: BaseItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      type: apiKey
      description: Key used to authenticate user API requests.
      in: header
      name: X-API-Key

````